<?xml version="1.0" encoding="UTF-8"?>
<incidents format="6" by="lint 8.7.3" type="incidents">

    <incident
        id="OldTargetApi"
        severity="warning"
        message="Not targeting the latest versions of Android; compatibility modes apply. Consider testing and updating this version. Consult the `android.os.Build.VERSION_CODES` javadoc for details.">
        <fix-replace
            description="Update targetSdkVersion to 36"
            oldString="35"
            replacement="36"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle.kts"
            line="13"
            column="9"
            startOffset="249"
            endLine="13"
            endColumn="23"
            endOffset="263"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.core:core-ktx than 1.13.1 is available: 1.19.0">
        <fix-replace
            description="Change to 1.19.0"
            family="Update versions"
            oldString="1.13.1"
            replacement="1.19.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle.kts"
            line="49"
            column="20"
            startOffset="1193"
            endLine="49"
            endColumn="51"
            endOffset="1224"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.appcompat:appcompat than 1.7.0 is available: 1.8.0">
        <fix-replace
            description="Change to 1.8.0"
            family="Update versions"
            oldString="1.7.0"
            replacement="1.8.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle.kts"
            line="50"
            column="20"
            startOffset="1245"
            endLine="50"
            endColumn="56"
            endOffset="1281"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of com.google.android.material:material than 1.12.0 is available: 1.14.0">
        <fix-replace
            description="Change to 1.14.0"
            family="Update versions"
            oldString="1.12.0"
            replacement="1.14.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle.kts"
            line="51"
            column="20"
            startOffset="1302"
            endLine="51"
            endColumn="65"
            endOffset="1347"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.constraintlayout:constraintlayout than 2.1.4 is available: 2.2.2">
        <fix-replace
            description="Change to 2.2.2"
            family="Update versions"
            oldString="2.1.4"
            replacement="2.2.2"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle.kts"
            line="52"
            column="20"
            startOffset="1368"
            endLine="52"
            endColumn="70"
            endOffset="1418"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.lifecycle:lifecycle-runtime-ktx than 2.8.7 is available: 2.11.0">
        <fix-replace
            description="Change to 2.11.0"
            family="Update versions"
            oldString="2.8.7"
            replacement="2.11.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle.kts"
            line="53"
            column="20"
            startOffset="1439"
            endLine="53"
            endColumn="68"
            endOffset="1487"/>
    </incident>

    <incident
        id="ObsoleteSdkInt"
        severity="warning"
        message="Unnecessary; SDK_INT is always >= 24">
        <fix-data conditional="true"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/de/duffy/screencast/CastService.kt"
            line="255"
            column="13"
            startOffset="10368"
            endLine="255"
            endColumn="59"
            endOffset="10414"/>
    </incident>

    <incident
        id="ObsoleteSdkInt"
        severity="warning"
        message="Unnecessary; SDK_INT is never &lt; 24">
        <fix-data conditional="false"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/de/duffy/screencast/NetworkUtil.kt"
            line="20"
            column="13"
            startOffset="588"
            endLine="20"
            endColumn="58"
            endOffset="633"/>
    </incident>

    <incident
        id="ObsoleteSdkInt"
        severity="warning"
        message="Unnecessary; SDK_INT is always >= 24">
        <fix-data conditional="true"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/de/duffy/screencast/NetworkUtil.kt"
            line="47"
            column="13"
            startOffset="1934"
            endLine="47"
            endColumn="59"
            endOffset="1980"/>
    </incident>

    <incident
        id="ObsoleteSdkInt"
        severity="warning"
        message="Unnecessary; SDK_INT is always >= 24">
        <fix-data conditional="true"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/de/duffy/screencast/ScreenEncoder.kt"
            line="72"
            column="17"
            startOffset="2997"
            endLine="72"
            endColumn="63"
            endOffset="3043"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="Do not concatenate text displayed with `setText`. Use resource string with placeholders.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/de/duffy/screencast/DeviceActivity.kt"
            line="179"
            column="23"
            startOffset="7342"
            endLine="179"
            endColumn="42"
            endOffset="7361"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Sparsam&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_main.xml"
            line="175"
            column="21"
            startOffset="7124"
            endLine="175"
            endColumn="43"
            endOffset="7146"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Ausgewogen&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_main.xml"
            line="183"
            column="21"
            startOffset="7492"
            endLine="183"
            endColumn="46"
            endOffset="7517"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Scharf&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_main.xml"
            line="190"
            column="21"
            startOffset="7821"
            endLine="190"
            endColumn="42"
            endOffset="7842"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;30 fps&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_main.xml"
            line="214"
            column="21"
            startOffset="8865"
            endLine="214"
            endColumn="42"
            endOffset="8886"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;60 fps&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_main.xml"
            line="221"
            column="21"
            startOffset="9192"
            endLine="221"
            endColumn="42"
            endOffset="9213"/>
    </incident>

</incidents>
